From b7bce7a979eeab916eb41318207f5750182e70c5 Mon Sep 17 00:00:00 2001
From: Jari Aalto <jari.aalto@cante.net>
Date: Wed, 11 Apr 2012 12:00:11 +0300
Subject: [PATCH] format-3.0
Organization: Private
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: 8bit

Signed-off-by: Jari Aalto <jari.aalto@cante.net>
---
 debian/README.source                               |    4 ----
 debian/changelog                                   |    9 ++++++++
 debian/compat                                      |    2 +-
 debian/control                                     |    4 ++--
 debian/patches/00list                              |    1 -
 ...stall-info.dpatch => 01_fix-install-info.patch} |    8 ++-----
 debian/patches/series                              |    1 +
 debian/rules                                       |   23 +++++---------------
 debian/source/format                               |    2 +-
 9 files changed, 21 insertions(+), 33 deletions(-)
 delete mode 100644 debian/README.source
 delete mode 100644 debian/patches/00list
 rename debian/patches/{01_fix-install-info.dpatch => 01_fix-install-info.patch} (74%)
 create mode 100644 debian/patches/series

diff --git a/debian/README.source b/debian/README.source
deleted file mode 100644
index a7c7ce3..0000000
--- a/debian/README.source
+++ /dev/null
@@ -1,4 +0,0 @@
-See /usr/share/doc/dpatch/README.source.gz
-
-The upstream author handles install-info differently to Debian's policy,
-thus 02_fix-install-info.dpatch changes upstreams Makefile.in 
diff --git a/debian/changelog b/debian/changelog
index 6f5a04b..512c9be 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,12 @@
+ed (1.6-1.1) unstable; urgency=low
+
+  * Non-maintainer upload.
+  * Remove deprecated dpatch and upgrade to packaging format "3.0 quilt".
+  * Update to Standards-Version to 3.9.3.1 and debhelper to 9.
+  * Update to latest dh(1) by using override_* in rules file.
+
+ -- Jari Aalto <jari.aalto@cante.net>  Wed, 11 Apr 2012 11:57:11 +0300
+
 ed (1.6-1) unstable; urgency=low
 
   * Imported Upstream version 1.6
diff --git a/debian/compat b/debian/compat
index 7f8f011..ec63514 100644
--- a/debian/compat
+++ b/debian/compat
@@ -1 +1 @@
-7
+9
diff --git a/debian/control b/debian/control
index f4a9064..c6e6b0e 100644
--- a/debian/control
+++ b/debian/control
@@ -2,8 +2,8 @@ Source: ed
 Section: editors
 Priority: optional
 Maintainer: Martin Zobel-Helas <zobel@debian.org>
-Standards-Version: 3.9.2
-Build-Depends: dpatch, debhelper (>= 7.2.17)
+Standards-Version: 3.9.3.1
+Build-Depends: debhelper (>= 9)
 Homepage: http://www.gnu.org/software/ed/
 
 Package: ed
diff --git a/debian/patches/00list b/debian/patches/00list
deleted file mode 100644
index ee24e95..0000000
--- a/debian/patches/00list
+++ /dev/null
@@ -1 +0,0 @@
-01_fix-install-info.dpatch
diff --git a/debian/patches/01_fix-install-info.dpatch b/debian/patches/01_fix-install-info.patch
similarity index 74%
rename from debian/patches/01_fix-install-info.dpatch
rename to debian/patches/01_fix-install-info.patch
index a29f26c..02b2d8d 100644
--- a/debian/patches/01_fix-install-info.dpatch
+++ b/debian/patches/01_fix-install-info.patch
@@ -1,10 +1,6 @@
-#! /bin/sh /usr/share/dpatch/dpatch-run
-## 02_fix-install-info.patch.dpatch by  Martin Zobel-Helas <zobel@debian.org>
-##
-## All lines beginning with `## DP:' are a description of the patch.
-## DP: We don't want to run install-info
+From: Martin Zobel-Helas <zobel@debian.org>
+Subject: We don't want to run install-info
 
-@DPATCH@
 diff -urNad '--exclude=CVS' '--exclude=.svn' '--exclude=.git' '--exclude=.arch' '--exclude=.hg' '--exclude=_darcs' '--exclude=.bzr' ed~/Makefile.in ed/Makefile.in
 --- ed~/Makefile.in	2010-09-06 20:47:18.000000000 +0200
 +++ ed/Makefile.in	2010-09-06 21:12:03.000000000 +0200
diff --git a/debian/patches/series b/debian/patches/series
new file mode 100644
index 0000000..b6bdd2b
--- /dev/null
+++ b/debian/patches/series
@@ -0,0 +1 @@
+01_fix-install-info.patch
diff --git a/debian/rules b/debian/rules
index 8ec54b1..e2573ec 100755
--- a/debian/rules
+++ b/debian/rules
@@ -7,32 +7,19 @@ else
 CROSS=
 endif
 
-include /usr/share/dpatch/dpatch.make
-
-override_dh_auto_build:
-	$(MAKE) $(CROSS)
-
 %:
 	dh $@
 
-build: patch-stamp
-	dh build
+override_dh_auto_build:
+	$(MAKE) $(CROSS)
 
-clean: unpatch
-	dh clean
+override_dh_clean:
 	dh_clean Makefile config.status *.o ed red
 
-binary: binary-arch binary-indep
-binary-indep:
-	#nothing to do here.
-
-binary-arch:
-	dh --until dh_install $@
+override_dh_install:
+	dh_install
 	# Move it around:
 	mkdir -p debian/ed/bin
 	mv debian/ed/usr/bin/ed debian/ed/bin
 	# Trash it, will be symlinked:
 	rm debian/ed/usr/bin/red
-	dh --remaining $@
-
-.PHONY: build clean binary-arch binary-indep binary
diff --git a/debian/source/format b/debian/source/format
index d3827e7..163aaf8 100644
--- a/debian/source/format
+++ b/debian/source/format
@@ -1 +1 @@
-1.0
+3.0 (quilt)
-- 
1.7.9.5

